---
sidebar_position: 9
description: Unblock chat user and other functions to work with VKTeams in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VKTeams]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Unblock chat user
 Unblocks a previously blocked user in the chat room



`Function UnblockChatUser(Val Token, Val ChatID, Val UserID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | ChatID | --chatid | String, Number | &#x2714; | Chat ID |
  | UserID | --userid | String, Number | &#x2714; | User ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK Teams

:::tip
To call this method, the bot must be an administrator in the chat room.

Method at API documentation: [GET ​​/chats/unblockUser](https://teams.vk.com/botapi/#/chats/get_chats_unblockUser)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token  = "001.3501506236.091...";
    ChatID = "689203963@chat.agent";
    User   = 1011987091;

    Result = OPI_VKTeams.UnblockChatUser(Token, ChatID, User);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vkteams UnblockChatUser \
             --token "***" \
             --chatid "***" \
             --userid 1011987091
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vkteams UnblockChatUser ^
             --token "***" ^
             --chatid "***" ^
             --userid 1011987091
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true
}
```
